[libcamera-devel] [PATCH] utils: hooks: pre-push: Accept Acked-by in addition to Reviewed-by
Laurent Pinchart
laurent.pinchart at ideasonboard.com
Fri Oct 2 02:43:49 CEST 2020
Allow pushing commits that have no Reviewed-by tag but have at least one
Acked-by tag.
Signed-off-by: Laurent Pinchart <laurent.pinchart at ideasonboard.com>
---
utils/hooks/pre-push | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/utils/hooks/pre-push b/utils/hooks/pre-push
index 5dc8addabeb6..2417d379db4c 100755
--- a/utils/hooks/pre-push
+++ b/utils/hooks/pre-push
@@ -57,10 +57,10 @@ do
errors=$((errors+1))
fi
- # 3. A Reviewed-by is required.
- if ! echo "$msg" | grep -q '^Reviewed-by: '
+ # 3. A Reviewed-by or Acked-by is required.
+ if ! echo "$msg" | grep -q '^\(Reviewed\|Acked\)-by: '
then
- echo >&2 "No Reviewed-by in commit $commit"
+ echo >&2 "No Reviewed-by or Acked-by in commit $commit"
errors=$((errors+1))
fi
done
--
Regards,
Laurent Pinchart
More information about the libcamera-devel
mailing list